hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Esteban Gutierrez <este...@cloudera.com>
Subject Re: On HBase client 1.0.0 against 0.98.6
Date Tue, 05 May 2015 20:50:52 GMT
Hello Gaby,

I don't think we have done any testing from HBase 1.0 clients to HBase 0.98
servers to cover any possible performance regressions when using a newer
version on the client side. However the general practice is to upgrade
first your servers and then upgrade clients to the newer version later on,
in order to avoid any possible issue. Obviously an additional disadvantage
of using a newer client with an "older" version from HBase is that you
won't be able to use features like HBASE-12731 that require a verion of
HBase 0.98.10 at least in the server side.

cheers,
esteban.


--
Cloudera, Inc.


On Tue, May 5, 2015 at 1:09 PM, gabriela.montiel <
gabriela.montiel@oracle.com> wrote:

> Hello,
>
> I have a question on using a newer version of HBase client against older
> version of HBase servers.
> Specifically, does HBase client 1.0.0 work with HBase server 0.98.6? Is
> there any performance
> implications?
>
> Thanks,
>
> Gaby
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message